#include <iostream>
#include <algorithm> // for sort() and min()
#include <vector>

using namespace std;

int main() {
  int t;
  cin >> t;
  for (int c = 1; c <= t; ++c) {
    int n;
    cin >> n;
    vector<int> r, b; // not sure how many r or b entries there are, so use a dynamic array

    // read the input and add each length to the proper vector
    while (n--) {
      int x;
      char c;
      cin >> x >> c;

    // if the chord chould be B15 or 15B
    //   cin >> ws;
    //   if (isalpha(cin.peek())) {
    //       cin >> c >> x;
    //   }
    //   else {
    //       cin >> x >> c;
    //   }

      if (c == 'R') r.push_back(x);
      else b.push_back(x);
    }

    // sort both length vectors in reverse order
    sort(r.begin(), r.end());
    reverse(r.begin(), r.end());

    sort(b.begin(), b.end());
    reverse(b.begin(), b.end());

    // the answer is to use the longest from each or r or b until one is used up
    // even cords of length 1 do not hurt the answer (though they may not help)
    int len = 0;
    for (int i = 0; i < min(r.size(), b.size()); ++i) {
      len += r[i] + b[i] - 2; // -2 is for the two knots
    }
    cout << "Case #" << c << ": " << len << endl;
  }
  return 0;
}
